=== debian/changelog ===
libbpp-core (2.4.0-3) unstable; urgency=medium

  * Provide symbols file only for amd64

 -- Andreas Tille <tille@debian.org>  Sat, 07 Apr 2018 11:50:58 +0200

libbpp-core (2.4.0-2) unstable; urgency=medium

  * Provide full license text of CeCILL license
    Closes: #894751

 -- Andreas Tille <tille@debian.org>  Wed, 04 Apr 2018 08:50:41 +0200

libbpp-core (2.4.0-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * Version 2.4.0.

  [ Andreas Tille ]
  * Bump soversion due to ABI change
    Closes: #890400
  * Add symbols file

 -- Andreas Tille <tille@debian.org>  Thu, 22 Mar 2018 10:02:38 +0100

libbpp-core (2.3.2-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * Version 2.3.2.

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 05 Feb 2018 13:23:32 +0200
