=== debian/changelog ===
libbpp-core (2.4.1-14) unstable; urgency=medium

  * Team upload.
  * cmake-4.patch: new: bump cmake version to 3.10. (Closes: #1113115)
  * d/watch: convert to v5 Github template.
  * d/control: declare compliance to standards version 4.7.2.
  * d/copyright: remove the old FSF address.
  * d/*lintian-overrides: glob conflicting version.
    This fixes the mismatch as package versions go.
  * d/control: remove redundant Rules-Requires-Root: no.
  * d/s/lintian-overrides: glob d/control line number.
    This fixes mismatches caused by variability in d/control.
  * d/*lintian-overrides: remove a t64 override not needed anymore.

 -- Étienne Mollier <emollier@debian.org>  Fri, 26 Sep 2025 20:41:35 +0200

libbpp-core (2.4.1-13) unstable; urgency=medium

  * Since every GCC version bump ends up in a bug caused by the need to
    update symbols files we stop providing symbols for this library
    Closes: #1075147
  * lintian-override for no-symbols-control-file
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jul 2024 06:38:16 +0200

libbpp-core (2.4.1-12) unstable; urgency=medium

  * Team upload.
  * d/control: use ${devlibs:Depends} for the -dev package
  * Forward the gcc11 patch upstream.
  * d/patches/unforce-cxxflags.patch: merge with upstream's flags;
    especially -std=c++11; forward our patch to upstream.
  * Silence some false-positive Lintian errors and warnings related to
    the t64 transition.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Mar 2024 17:28:19 +0100

libbpp-core (2.4.1-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062230

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 15:02:02 +0000

libbpp-core (2.4.1-11) unstable; urgency=medium

  * Team upload.
  * Updated symbols to gcc 13.2. Closes: #1042230

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 13 Aug 2023 13:03:10 +0200

libbpp-core (2.4.1-10) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Update symbols to gcc-13
    Closes: #1037717

 -- Andreas Tille <tille@debian.org>  Sat, 15 Jul 2023 16:10:32 +0200

libbpp-core (2.4.1-9) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 19:54:08 +0100

libbpp-core (2.4.1-8) unstable; urgency=medium

  * Team upload.
  * d/libbpp-core4.symbols.amd64: mark compiler specific symbols optional.
    (Closes: #1012967)
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 09 Jul 2022 10:47:24 +0200

libbpp-core (2.4.1-7) unstable; urgency=medium

  * Fix again symbols file
    Closes: #997443

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 13:54:38 +0100

libbpp-core (2.4.1-6) unstable; urgency=medium

  [ Nilesh Patra ]
  * d/p/gcc11.patch: Include limits to fix gcc-11 FTBFS (Closes: #984086)
  * Adjust symbols acc to gcc-11

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libbpp-core-dev: Add Multi-Arch: same.
  * Fix symbols file
    Closes: #993541

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 07:49:52 +0200

libbpp-core (2.4.1-5) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update symbols for gcc-10
    Closes: #957423

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 11:10:34 +0200

libbpp-core (2.4.1-4) unstable; urgency=medium

  * Rebuild for new version of gcc to fix symbols
    Closes: #925731
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 15:52:50 +0200

libbpp-core (2.4.1-3) unstable; urgency=medium

  * More sensible way to provide symbols amd64 only
  * Rebuild for new version of gcc to fix symbols
    Closes: #923474
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 01 Mar 2019 14:16:27 +0100

libbpp-core (2.4.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Fix symbols file
    Closes: #915343
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 07:39:32 +0100

libbpp-core (2.4.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * Compatibility with gcc 8.0
    Closes: #897780

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sat, 18 Aug 2018 13:32:11 +0200
