=== debian/control ===
--- 
+++ 
@@ -4,19 +4,21 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
-               d-shlibs
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-core.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-core.git
+               d-shlibs (>= 0.106~)
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/med-team/libbpp-core
+Vcs-Git: https://salsa.debian.org/med-team/libbpp-core.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
 
 Package: libbpp-core-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-core4 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libbpp-core4t64 (= ${binary:Version}),
+         ${misc:Depends},
+         ${devlibs:Depends}
+Multi-Arch: same
 Description: Bio++ Core library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -27,7 +29,10 @@
  This package contains the static library and the header files of the
  Bio++ core classes.
 
-Package: libbpp-core4
+Package: libbpp-core4t64
+Provides: ${t64:Provides}
+Replaces: libbpp-core4
+Conflicts: libbpp-core4 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
