=== debian/watch ===
Version: 5

Template: Github
Owner: BioPP
Project: bpp-core
